#include <bits/stdc++.h>

using namespace std;

int main(){
	ios_base::sync_with_stdio(false); cin.tie(nullptr); cout.tie(nullptr);

    int n, l; cin >> n >> l;

    int ans = -1, a;
    for(int i = 1; i <= n; i++){
        cin >> a;
        if(ans == -1){
            if(a <= l) ans = i;
        }
    }

    cout << ans;
	return 0;
}